%define name nip
%define version 7.8.11
%define release alt2


Summary: an image processing system
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
URL: http://www.vips.ecs.soton.ac.uk/

Source: http://www.vips.ecs.soton.ac.uk/vips-7.8/%{name}-%{version}.tar.bz2
Source1: %name.xpm

Requires:vips >= 7.8.6

# Automatically added by buildreq on   09 2003
BuildRequires: XFree86-devel XFree86-libs flex freetype2-devel glib-devel gtk+-devel libImageMagick-devel libfftw-devel libjpeg-devel liblcms-devel libpng-devel libtiff-devel libxml2-devel vips-devel zlib-devel

%description
nip is an image processing system.  It is good for very large images (ie.
larger than the amount of RAM in your machine), and for working with colour.
In use it's rather like a spreadsheet. There's complete documentaion in the
"nip-doc" package.

%prep
%setup -q

%build

%configure --prefix=/usr


make 
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_mandir/man1/,%_datadir,%_menudir,}

mkdir -p $RPM_BUILD_ROOT%_iconsdir
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%name.xpm


cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name" icon="%name.xpm" section="Multimedia/Graphics" title="Nip" longtitle="Nip Image Manipulation Program" needs="x11" kde_mimetype="image/gif;image/jpeg;image/png;image/tiff"
EOF

# copy the formatted PS and HTML docs into the install area

cp -r doc/html doc/ps ${RPM_BUILD_ROOT}%{_datadir}/doc/nip


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root)
%doc AUTHORS THANKS README TODO COPYING ChangeLog
%{_bindir}/nip
%{_mandir}/man1/nip.1*
%{_datadir}/nip
%{_datadir}/doc/nip
%_iconsdir/%name.xpm
%_menudir/%name

%changelog
* Tue Nov 04 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.11-alt2
- cleanup spec 

* Mon Sep 15 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.11-alt1
- new version

* Fri May 09 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.7-alt1
- adapted for Sisyphus, create menu and icon.

* Mon Feb 3 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.6-2
- hack to change default install prefix to /usr/local

* Thu Jan 30 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.6-1
- first stab at an rpm package for nip
